Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package session

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Files having to do with the state of a repl session: lines of text entered, types and terms defined, etc.

  Definition Classes
    interpreter
- AbstractFileClassLoader
- AbstractOrMissingHandler
- CommandLine
- Completion
- Delimited
- EchoReader
- ExprTyper
- Formatting
- ILoop
- IMain
- IMainOps
- ISettings
- Imports
- InteractiveReader
- Javap
- JavapClass
- Logger
- LoopCommands
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- NoCompletion
- NoJavap
- Parsed
- Pasted
- Phased
- Power
- PresentationCompilation
- PresentationCompilerCompleter
- ProcessResult
- ReplConfig
- ReplDir
- ReplGlobal
- ReplOutput
- ReplProps
- ReplReporter
- ReplStrings
- ReplVals
- Results
- RichClass
- Scripted
- SimpleReader
- SplashLoop
- SplashReader
- StdReplTags
- StdReplVals
- Tabulator
- TapMaker
- VariColumnTabulator
- WriterOutputStream

c

scala.tools.nsc.interpreter

# AbstractFileClassLoader 

###

#### class AbstractFileClassLoader extends util.AbstractFileClassLoader

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use `scala.tools.nsc.util.AbstractFileClassLoader`

Source
  AbstractFileClassLoader.scala

Linear Supertypes
reflect.internal.util.AbstractFileClassLoader, ScalaClassLoader, ClassLoader, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AbstractFileClassLoader
2. AbstractFileClassLoader
3. ScalaClassLoader
4. ClassLoader
5. AnyRef
6. Any

Implicitly

1. by apply
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AbstractFileClassLoader(root: AbstractFile, parent: ClassLoader)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to any2stringadd[AbstractFileClassLoader] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (AbstractFileClassLoader, B)
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def asContext[T](action: ⇒ T): T
   Definition Classes
     ScalaClassLoader
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def classAsStream(className: String): java.io.InputStream
   Definition Classes
     ScalaClassLoader
9.  def classBytes(className: String): Array[Byte]
   Definition Classes
     ScalaClassLoader
10.  def classNameToPath(name: String): String
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader
11.  def clearAssertionStatus(): Unit
    Definition Classes
      ClassLoader
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
13.  def create[T <: AnyRef](path: String, errorFn: (String) ⇒ Unit)(args: AnyRef*)(implicit arg0: ClassTag[T]): T
    Definition Classes
      ScalaClassLoader
14.  def create(path: String): AnyRef
    Definition Classes
      ScalaClassLoader
15.  final def defineClass(arg0: String, arg1: ByteBuffer, arg2: ProtectionDomain): Class[_]
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )
16.  final def defineClass(arg0: String, arg1: Array[Byte], arg2: Int, arg3: Int, arg4: ProtectionDomain): Class[_]
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )
17.  final def defineClass(arg0: String, arg1: Array[Byte], arg2: Int, arg3: Int): Class[_]
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )
18.  def definePackage(name: String, specTitle: String, specVersion: String, specVendor: String, implTitle: String, implVersion: String, implVendor: String, sealBase: URL): Package
    Definition Classes
      AbstractFileClassLoader → ClassLoader
19.  def dirNameToPath(name: String): String
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader
20.  def ensuring(cond: (AbstractFileClassLoader) ⇒ Boolean, msg: ⇒ Any): AbstractFileClassLoader
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
21.  def ensuring(cond: (AbstractFileClassLoader) ⇒ Boolean): AbstractFileClassLoader
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
22.  def ensuring(cond: Boolean, msg: ⇒ Any): AbstractFileClassLoader
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
23.  def ensuring(cond: Boolean): AbstractFileClassLoader
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  def findAbstractDir(name: String): AbstractFile
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader
28.  def findAbstractFile(name: String): AbstractFile
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader
29.  def findClass(name: String): Class[_]
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader → ClassLoader
30.  def findLibrary(arg0: String): String
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
31.  final def findLoadedClass(arg0: String): Class[_]
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
32.  def findResource(name: String): URL
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader → ClassLoader
33.  def findResources(name: String): java.util.Enumeration[URL]
    Attributes
      protected
    Definition Classes
      AbstractFileClassLoader → ClassLoader
34.  final def findSystemClass(arg0: String): Class[_]
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )
35.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to StringFormat[AbstractFileClassLoader] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
36.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
37.  def getClassLoadingLock(arg0: String): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
38.  def getPackage(name: String): Package
    Definition Classes
      AbstractFileClassLoader → ClassLoader
39.  def getPackages(): Array[Package]
    Definition Classes
      AbstractFileClassLoader → ClassLoader
40.  final def getParent(): ClassLoader
    Definition Classes
      ClassLoader
    Annotations
      @CallerSensitive()
41.  def getResource(arg0: String): URL
    Definition Classes
      ClassLoader
42.  def getResourceAsStream(arg0: String): java.io.InputStream
    Definition Classes
      ClassLoader
43.  def getResources(arg0: String): java.util.Enumeration[URL]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )
44.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
45.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
46.  def loadClass(arg0: String, arg1: Boolean): Class[_]
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )
47.  def loadClass(arg0: String): Class[_]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )
48.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
49.  final def notify(): Unit
    Definition Classes
      AnyRef
50.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
51.  lazy val protectionDomain: ProtectionDomain
    Definition Classes
      AbstractFileClassLoader
52.  final def resolveClass(arg0: Class[_]): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
53.  val root: AbstractFile
    Definition Classes
      AbstractFileClassLoader
54.  def run(objectName: String, arguments: Seq[String]): Unit
    Definition Classes
      ScalaClassLoader
55.  def setAsContext(): Unit
    Definition Classes
      ScalaClassLoader
56.  def setClassAssertionStatus(arg0: String, arg1: Boolean): Unit
    Definition Classes
      ClassLoader
57.  def setDefaultAssertionStatus(arg0: Boolean): Unit
    Definition Classes
      ClassLoader
58.  def setPackageAssertionStatus(arg0: String, arg1: Boolean): Unit
    Definition Classes
      ClassLoader
59.  final def setSigners(arg0: Class[_], arg1: Array[AnyRef]): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
60.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
61.  def toString(): String
    Definition Classes
      AnyRef → Any
62.  def tryToInitializeClass[T <: AnyRef](path: String): Option[Class[T]]
    Definition Classes
      ScalaClassLoader
63.  def tryToLoadClass[T <: AnyRef](path: String): Option[Class[T]]
    Definition Classes
      ScalaClassLoader
64.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
65.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
66.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
67.  def →[B](y: B): (AbstractFileClassLoader, B)
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1.  def asContext[T](action: ⇒ T): T
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).asContext(action)

   Definition Classes
     ScalaClassLoader
2.  def classAsStream(className: String): java.io.InputStream
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).classAsStream(className)

   Definition Classes
     ScalaClassLoader
3.  def classBytes(className: String): Array[Byte]
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).classBytes(className)

   Definition Classes
     ScalaClassLoader
4.  def clearAssertionStatus(): Unit
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).clearAssertionStatus()

   Definition Classes
     ClassLoader
5.  def create[T <: AnyRef](path: String, errorFn: (String) ⇒ Unit)(args: AnyRef*)(implicit arg0: ClassTag[T]): T
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).create(path, errorFn)(args)(arg0)

   Definition Classes
     ScalaClassLoader
6.  def create(path: String): AnyRef
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).create(path)

   Definition Classes
     ScalaClassLoader
7.  final def getParent(): ClassLoader
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).getParent()

   Definition Classes
     ClassLoader
   Annotations
     @CallerSensitive()
8.  def getResource(arg0: String): URL
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).getResource(arg0)

   Definition Classes
     ClassLoader
9.  def getResourceAsStream(arg0: String): java.io.InputStream
   Implicit
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).getResourceAsStream(arg0)

   Definition Classes
     ClassLoader
10.  def getResources(arg0: String): java.util.Enumeration[URL]
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).getResources(arg0)

    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )
11.  def loadClass(arg0: String): Class[_]
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).loadClass(arg0)

    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )
12.  def run(objectName: String, arguments: Seq[String]): Unit
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).run(objectName, arguments)

    Definition Classes
      ScalaClassLoader
13.  def setAsContext(): Unit
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setAsContext()

    Definition Classes
      ScalaClassLoader
14.  def setClassAssertionStatus(arg0: String, arg1: Boolean): Unit
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setClassAssertionStatus(arg0, arg1)

    Definition Classes
      ClassLoader
15.  def setDefaultAssertionStatus(arg0: Boolean): Unit
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setDefaultAssertionStatus(arg0)

    Definition Classes
      ClassLoader
16.  def setPackageAssertionStatus(arg0: String, arg1: Boolean): Unit
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setPackageAssertionStatus(arg0, arg1)

    Definition Classes
      ClassLoader
17.  def tryToInitializeClass[T <: AnyRef](path: String): Option[Class[T]]
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).tryToInitializeClass(path)

    Definition Classes
      ScalaClassLoader
18.  def tryToLoadClass[T <: AnyRef](path: String): Option[Class[T]]
    Implicit
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.reflect.internal.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).tryToLoadClass(path)

    Definition Classes
      ScalaClassLoader

### Deprecated Value Members

1.  final def defineClass(arg0: Array[Byte], arg1: Int, arg2: Int): Class[_]
   Attributes
     protected[java.lang]
   Definition Classes
     ClassLoader
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.ClassFormatError] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from reflect.internal.util.AbstractFileClassLoader

### Inherited from ScalaClassLoader

### Inherited from ClassLoader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion apply from AbstractFileClassLoader to ScalaClassLoader

### Inherited by implicit conversion any2stringadd from AbstractFileClassLoader to any2stringadd[AbstractFileClassLoader]

### Inherited by implicit conversion StringFormat from AbstractFileClassLoader to StringFormat[AbstractFileClassLoader]

### Inherited by implicit conversion Ensuring from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader]

### Inherited by implicit conversion ArrowAssoc from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader]

### Ungrouped